Bug 159998 - [PATCH] x11/xfce4-conf breaks with perl bindings
Summary: [PATCH] x11/xfce4-conf breaks with perl bindings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-22 15:40 UTC by Chris Rees
Modified: 2011-09-09 18:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-08-22 15:40:06 UTC
	xfce4-conf used to patch the file WRKSRC/xfconf-perl/Makefile.perl, but that no longer exists in current versions. Bear in mind I haven't looked in depth at what the replacement does, but it seems to work fine for me now with the attached patch.

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--BLXuDhpnko0ERuCOQtTtOP8bzxlqbwQdoPy3dQBMvpiXDowa
Content-Type: text/plain; name="xfce4-conf-Makefile-perl.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="xfce4-conf-Makefile-perl.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/x11/xfce4-conf/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- Makefile	11 Aug 2011 19:20:05 -0000	1.14
+++ Makefile	22 Aug 2011 13:49:51 -0000
@@ -70,10 +70,4 @@
 	@${REINPLACE_CMD} -e 's|--module-dir|--module=xfconf &|' \
 		${WRKSRC}/docs/reference/Makefile.in
 
-post-build:
-.if defined(WITH_PERL)
-	@${REINPLACE_CMD} -E -e 's! doc_(perl|site|\$$\(INSTALLDIRS\))_install$$!!' \
-		${WRKSRC}/xfconf-perl/Makefile.perl
-.endif
-
 .include <bsd.port.post.mk>
Comment 1 Edwin Groothuis freebsd_committer 2011-08-22 15:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-09-09 18:19:24 UTC
crees       2011-09-09 17:19:11 UTC

  FreeBSD ports repository

  Modified files:
    x11/xfce4-conf       Makefile 
  Log:
  Remove stale REINPLACE-- fails if WITH_PERL is set because patched file no longer exists.
  
  PR:             ports/159998
  Submitted by:   me
  Approved by:    maintainer timeout (oliver, 18 days)
  
  Revision  Changes    Path
  1.15      +0 -6      ports/x11/xfce4-conf/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2011-09-09 18:19:41 UTC
State Changed
From-To: open->closed

Committed after timeout. 


Comment 4 Chris Rees freebsd_committer 2011-09-09 18:19:41 UTC
Responsible Changed
From-To: oliver->crees

Committed after timeout.